**Source URL:** https://limited.veevavault.dev/vault-api/api-reference/24.1/documents/document-templates/update-multiple-document-templates.md

# Update Multiple Document Templates



Update up to 500 document templates in your Vault.

<Endpoint path="/api/{version}/objects/documents/templates" method="PUT"></Endpoint>

## Headers {#headers}

<FieldTable>
| Name | Description |
| --- | --- |
| `Content-Type` | `application/json` or `text/csv` |
| `Accept` | `application/json` (default) or `application/xml` |
</FieldTable>

## Body Parameters {#body-parameters}

To update document templates, prepare a CSV or JSON input file. You can update the following fields on document templates:

<FieldTable>
| Name | Description |
| --- | --- |
| `name__v` | Include the name of an existing document template. |
| `new_name` | Change the name of an existing document template. |
| `label__v` | Change the label of an existing document template. This is the name users will see among the available binder templates in the UI. |
| `active__v` | Set to true or false to indicate whether or not the document templates should be set to active, i.e., available for selection when creating a document. |
</FieldTable>
<DownloadButton href="/sample-files/bulk-update-document-templates.json" label="Download Input File"></DownloadButton>

## Convert Basic Document Template to Controlled Document Template {#convert-basic-document-template-to-controlled-document-template}

To convert a basic document template to a controlled document template, specify the Template Document. Vault will automatically update `is_controlled__v` on this template to `true`.

It is not possible to convert a controlled document template into a basic document template.

## Request {#request}

<CodeExample title="">
```
curl -X PUT -H "Authorization: {SESSION_ID}" \
-H "Content-Type: text/csv" \
--data-binary @"C:\Vault\Templates\update_document_templates.csv" \
https://myvault.veevavault.com/api/v15.0/objects/documents/templates

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
   "responseStatus":"SUCCESS",
   "data":[
      {
         "responseStatus":"SUCCESS",
         "name":"claim_document_template__c"
      },
      {
         "responseStatus":"SUCCESS",
         "name":"clinical_study_document_template__c"
      },
      {
         "responseStatus":"FAILURE",
         "errors":[
            {
               "type":"INVALID_DATA",
               "message":"Error message describing why this template was not created."
            }
         ]
      }
   ]
}

```
</CodeExample>

---

**Previous:** [Update Single Document Template](/vault-api/api-reference/24.1/documents/document-templates/update-single-document-template)  
**Next:** [Delete Basic Document Template](/vault-api/api-reference/24.1/documents/document-templates/delete-basic-document-template)